org.apache.ignite.internal.util

## Class GridStringBuilderFactory

- java.lang.Object
- - org.apache.ignite.internal.util.GridStringBuilderFactory

    public final class GridStringBuilderFactory
    extends Object

Per-thread cache of `StringBuilder` instances.

### Method Summary

All Methods Static Methods Concrete Methods
`static SB` `acquire()` Acquires a cached instance of `StringBuilder` if current thread is not using it yet.
`static void` `release(SB builder)` Releases `StringBuilder` back to cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### acquire

    public static SB acquire()

Acquires a cached instance of `StringBuilder` if current thread is not using it yet. Otherwise a new instance of string builder is returned.

Returns:
  Cached instance of `StringBuilder`.

#### release

    public static void release(SB builder)

Releases `StringBuilder` back to cache.

Parameters:
  `builder` - String builder to release.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019